### Hierarchy

- Record

### Implemented by

- HasMoreQueryMarker
- IsEmptyQueryMarker
- NullRecord
- RecordBuffer
- RecordImpl

## Index

### Properties

- annotations
- backgroundColor
- foregroundColor
- id
- imageName
- imagePlacement
- isBoldText
- isItalicText
- isPlacementCenter
- isPlacementLeft
- isPlacementRight
- isPlacementStretchUnder
- isPlacementUnder
- isUnderline
- overrideText
- propCount
- propNames
- propValues
- properties
- tipText
- type

### Methods

- afterEffects
- annotationsAtName
- backgroundColorFor
- foregroundColorFor
- imageNameFor
- imagePlacementFor
- isBoldTextFor
- isItalicTextFor
- isPlacementCenterFor
- isPlacementLeftFor
- isPlacementRightFor
- isPlacementStretchUnderFor
- isPlacementUnderFor
- isUnderlineFor
- overrideTextFor
- propAtIndex
- propAtName
- tipTextFor
- toJSON
- valueAtName

## Properties

### Optional annotations

annotations: DataAnnotation[]

- Defined in models/Record.ts:5

### backgroundColor

backgroundColor: string

- Defined in models/Record.ts:10

### foregroundColor

foregroundColor: string

- Defined in models/Record.ts:11

### id

id: string

- Defined in models/Record.ts:6

### imageName

imageName: string

- Defined in models/Record.ts:12

### imagePlacement

imagePlacement: string

- Defined in models/Record.ts:13

### isBoldText

isBoldText: boolean

- Defined in models/Record.ts:14

### isItalicText

isItalicText: boolean

- Defined in models/Record.ts:15

### isPlacementCenter

isPlacementCenter: boolean

- Defined in models/Record.ts:16

### isPlacementLeft

isPlacementLeft: boolean

- Defined in models/Record.ts:17

### isPlacementRight

isPlacementRight: boolean

- Defined in models/Record.ts:18

### isPlacementStretchUnder

isPlacementStretchUnder: boolean

- Defined in models/Record.ts:19

### isPlacementUnder

isPlacementUnder: boolean

- Defined in models/Record.ts:20

### isUnderline

isUnderline: boolean

- Defined in models/Record.ts:21

### overrideText

overrideText: string

- Defined in models/Record.ts:22

### propCount

propCount: number

- Defined in models/Record.ts:23

### propNames

propNames: string[]

- Defined in models/Record.ts:24

### propValues

propValues: any[]

- Defined in models/Record.ts:25

### properties

properties: Property[]

- Defined in models/Record.ts:7

### tipText

tipText: string

- Defined in models/Record.ts:26

### type

type: string

- Defined in models/Record.ts:8

## Methods

### afterEffects

- afterEffects(after: Record): Record

- - Defined in models/Record.ts:30

  #### Parameters

  - ##### after: Record

  #### Returns Record

### annotationsAtName

- annotationsAtName(propName: string): DataAnnotation[]

- - Defined in models/Record.ts:28

  #### Parameters

  - ##### propName: string

  #### Returns DataAnnotation[]

### backgroundColorFor

- backgroundColorFor(propName: string): string

- - Defined in models/Record.ts:32

  #### Parameters

  - ##### propName: string

  #### Returns string

### foregroundColorFor

- foregroundColorFor(propName: string): string

- - Defined in models/Record.ts:34

  #### Parameters

  - ##### propName: string

  #### Returns string

### imageNameFor

- imageNameFor(propName: string): string

- - Defined in models/Record.ts:36

  #### Parameters

  - ##### propName: string

  #### Returns string

### imagePlacementFor

- imagePlacementFor(propName: string): string

- - Defined in models/Record.ts:38

  #### Parameters

  - ##### propName: string

  #### Returns string

### isBoldTextFor

- isBoldTextFor(propName: string): boolean

- - Defined in models/Record.ts:40

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isItalicTextFor

- isItalicTextFor(propName: string): boolean

- - Defined in models/Record.ts:42

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementCenterFor

- isPlacementCenterFor(propName: string): boolean

- - Defined in models/Record.ts:44

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementLeftFor

- isPlacementLeftFor(propName: string): boolean

- - Defined in models/Record.ts:46

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementRightFor

- isPlacementRightFor(propName: string): boolean

- - Defined in models/Record.ts:48

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementStretchUnderFor

- isPlacementStretchUnderFor(propName: string): boolean

- - Defined in models/Record.ts:50

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isPlacementUnderFor

- isPlacementUnderFor(propName: string): boolean

- - Defined in models/Record.ts:52

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### isUnderlineFor

- isUnderlineFor(propName: string): boolean

- - Defined in models/Record.ts:54

  #### Parameters

  - ##### propName: string

  #### Returns boolean

### overrideTextFor

- overrideTextFor(propName: string): string

- - Defined in models/Record.ts:56

  #### Parameters

  - ##### propName: string

  #### Returns string

### propAtIndex

- propAtIndex(index: number): Property

- - Defined in models/Record.ts:58

  #### Parameters

  - ##### index: number

  #### Returns Property

### propAtName

- propAtName(propName: string): Property

- - Defined in models/Record.ts:60

  #### Parameters

  - ##### propName: string

  #### Returns Property

### tipTextFor

- tipTextFor(propName: string): string

- - Defined in models/Record.ts:62

  #### Parameters

  - ##### propName: string

  #### Returns string

### toJSON

- toJSON(): any

- - Defined in models/Record.ts:64

  #### Returns any

### valueAtName

- valueAtName(propName: string): any

- - Defined in models/Record.ts:66

  #### Parameters

  - ##### propName: string

  #### Returns any

Generated using TypeDoc